#
# spec file for package perl-Config-IniFiles (Version 2.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Config-IniFiles
Copyright:    Copyright (c) Perl Artistic License
Group:        Development/Languages/Perl
Url:          http://dev.rcbowen.com/iniconf/
Provides:     p_cnfini
Obsoletes:    p_cnfini
Autoreqprov:  on
Summary:      A module for reading .ini-style configuration files
Version:      2.19
Release:      66
Source:       Config-IniFiles-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
Config::IniFiles provides a way to have readable configuration files
outside your Perl script.

Authors:
--------
    Rich Bowen <rbowen@rcbowen.com>

SuSE series: perl

%prep
%setup -n Config-IniFiles-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
    eval `perl -V:installarchlib`
    install -d $RPM_BUILD_ROOT/$installarchlib
    make PREFIX=$RPM_BUILD_ROOT/usr \
            INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
            install
    install -d $RPM_BUILD_ROOT/var/adm/perl-modules
    cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Config-IniFiles
    cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Config/IniFiles
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
/usr/lib/perl5/site_perl/5.*/Config/IniFiles.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Config/IniFiles
%doc /usr/share/man/man3/Config::IniFiles.3pm.gz
/var/adm/perl-modules/perl-Config-IniFiles
%doc MANIFEST README

%changelog -n perl-Config-IniFiles
* Mon May 21 2001 - choeger@suse.de
- update to version 2.19
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Aug 16 2000 - choeger@suse.de
- first package, v0.09
